Subject: RE: [Isms] working group last call on draft-ietf-isms-tmsm-05

From: "David Harrington" <[email-masked]>
Date: Thu, 1 Feb 2007 16:04:20 -0500

Hi,

Working on the next revision.
Comments inline. 

dbh

> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
> Sent: Monday, January 08, 2007 8:18 AM
> To: Juergen Quittek; [email-masked]
> Subject: RE: [Isms] working group last call on
draft-ietf-isms-tmsm-05
> 
> I read the document and I am fine with it. Detail level 
> comments follow
> below. 
> 
> It is not clear to me how the document will progress relative to
3411
> and the full STD0062 package. I am not sure that the 
> resolution to this
> question needs to be found in the text of the document though.
Expect
> questions and discussions in IETF LC and IESG review though. 

To be discussed.

> 
> Detail level comments:
> 
> 1. The readability of the document could be much improved if the
> references to 3411 will be more exact, quoting the section where a
> referred diagram, paragraph or statement quoted or reproduced here
is
> taken from. 

Fixed (although I am not convinced extended citations improve
readability).

> 2. I found many instances of inconsistent use of 2119 
> conventions - some
> examples may be found in 3.1.1, 3.2.2.2, 3.3.1

Addressed. The WG can decide if I distinguished usages accurately.

> 3. I believe that Appendix B or some derivative of it includes
useful
> information about the rationale of some of the major design
decisions
> and I would suggest to keep it. 
> 4. If Appendix C remains with void content I would suggest to take
it
> out. 

Added an RFC editor note to remove it.

> 
> Regards,
> 
> Dan
> 
>  
>  
> 
> > -----Original Message-----
> > From: Juergen Quittek [mailto:[email-masked]] 
> > Sent: Friday, December 15, 2006 5:03 PM
> > To: [email-masked]
> > Subject: [Isms] working group last call on draft-ietf-isms-tmsm-05
> > 
> > Dear all,
> > 
> > This is the working group last call on the "Transport 
> > Subsystem for the Simple Network Management Protocol (SNMP)" 
> > to be found at 
> > <http://www.ietf.org/internet-drafts/draft-ietf-isms-tmsm-05.txt>.
> > 
> > The authors and the chairs think that this document is mature 
> > enough for last call.  Since the holidays are coming, the 
> > last call period is not two weeks as usual, but three weeks.
> > 
> > Please do review the document and post your comments on this 
> > list until January 8, 2007.  Please also post to the list if 
> > you have read the document and are fine with it.  It is very 
> > useful to know how many people have read the document.
> > 
> > Thanks,
> > 
> >     Juergen Q.
> > -- 
> > Juergen Quittek        [email-masked]       Tel: +49 
> > 6221 4342-115
> > NEC Europe Ltd.,       Network Laboratories        Fax: +49 
> > 6221 4342-155
> > Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   
> > http://www.netlab.nec.de
> > 
> > _______________________________________________
> > Isms mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/isms
> > 
> 
> _______________________________________________
> Isms mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isms
> 

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms

---

From: "David Harrington" <[email-masked]>
Date: Thu, 1 Feb 2007 17:31:47 -0500

Hi,

Working on the next revision. Comments inline.

dbh 

> From: Nelson, David [mailto:[email-masked]] 
> Sent: Monday, January 08, 2007 10:50 AM
> To: [email-masked]
draft-ietf-isms-tmsm-05
> 
> I have read this document and think that it's in pretty good shape.
> Some specific comments follow:
> 
> Document Header:
> 
> Will this document update existing RFCs, e.g. 3411 or 3417?  
> There is no
> "Updates:" field in the header.

Added an "updates 3411,3412,3414,3417"
This document changes ASIs used in 11,12,14; it changes the whole
concept of transport mappings in 3417.

> 
> Section 2.
> 
> I would drop the metaphor of the "gun".  The metaphor of the 
> "guard" is
> fine without the resort to firearms.  Just a "political correctness"
> nit.

Liberals! Fixed.

> 
> I think it would help to further elaborate the relationship of this
> document to RFC 3411 (Architecture) and 3417 (Transport Mappings).

Can you provide text?

> 
> Section 3.1.1
> 
> In the last sentence, since there are three alternatives 
> listed, I don't
> think the correct wording is "either".

Removed the whole clause.

> 
> Section 3.2.1
> 
> Could paragraphs 3 - 6 be eliminated?  This seems to be 
> reviewing design
> issues/choices for SNMPv3 that one would assume to be documented
> elsewhere.

Done.
> 
> In paragraph 8, motivation is spelled wrong.

Fixed.
> 
> Section 3.2.1.2
> 
> Typo in bullet item 2).  Superfluous asterisk.

Fixed.
> 
> Section 3.2.3
> 
> In paragraph 6, "to have an security" should be "to have a
security".

Fixed.
> 
> Section 4
> 
> This section indicates that the diagrams are incomplete.  That would
> seem to be a "comment magnet" in the absence of an explanation of
why
> the incompleteness of the diagrams does not impact the completeness
of
> the document.

Added "This document defines the sendMessage() and recvMessage() ASIs
for this purpose."